/** A patch manifest, containing a list of releases, how to patch them, and which the current release is. */
export default interface IManifest {
  /** Current release. */
  current: number;
  /** List of releases. */
  releases: {
    [s: string]: {
      /** SHA1 hash of this release. */
      sha1: string;
      /** List of releases from where we can patch to this release. */
      from: number[];
      /** List of releases that this release can be patched to. */
      to: number[];
  };
};
}
